%global __requires_exclude devel\\(libnspr4|devel\\(libplc4|devel\\(libplds4

%define real_version	1.8.5
%define mozilla_version 1.0.0
%define short_version	185
%define epoch		1

%define oname		mozjs
%define major		1.0
%define	libname		%mklibname %{oname} %{short_version} %{major}
%define	develname	%mklibname %{oname} %{short_version} -d

Summary:	SpiderMonkey, the Mozilla JavaScript engine
Name:		js
Version:	1.85
Release:	%mkrel 17
License:	MPL
Group:		Development/Other
URL:		https://www.mozilla.org/js/
Source0:	https://ftp.mozilla.org/pub/mozilla.org/js/%{name}%{short_version}-%{mozilla_version}.tar.gz
Patch0:		js-1.8.5-fix-destdir.patch
Patch1:		js-allow-to-build-against-system-libffi.patch
Patch2:		js-force-NativeARM.o-to-have-arch-armv4t-in-its-.ARM.at.patch
Patch3:		js-bug-638056-Avoid-The-cacheFlush-support-is-missing-o.patch
Patch4:		js-bug-626035-Modify-the-way-arm-compiler-flags-are-set.patch
Patch5:		js-bug-589744-Fallback-to-perf-measurement-stub-when-pe.patch
Patch6:		js-1.8.5-gcc7.patch
Patch7:		aarch64.patch
BuildRequires:	pkgconfig(libedit)
BuildRequires:	pkgconfig(nspr)
BuildRequires:	python
BuildRequires:	zip
BuildRequires:	readline-devel
BuildRequires:	autoconf2.1
BuildRequires:	pkgconfig(libffi)
Requires:	%{libname} = %{epoch}:%{version}-%{release}
Epoch:		%{epoch}

%description
JavaScript is the Netscape-developed object scripting languages. This
package has been created for purposes of Sablotron and is suitable for
embedding in applications. See https://www.mozilla.org/js for details
and sources.

%package -n	%{libname}
Summary:	JavaScript engine library
Group:		System/Libraries
Epoch:		%{epoch}

%description -n	%{libname}
JavaScript is the Netscape-developed object scripting languages. This
package has been created for purposes of Sablotron and is suitable for
embedding in applications. See https://www.mozilla.org/js for details
and sources.

%package -n	%{develname}
Summary:	The header files for %{libname}
Group:		Development/C
Requires:	%{libname} = %{epoch}:%{version}-%{release}
Provides:	%{name}-devel = %{epoch}:%{version}-%{release}
Provides:	libjs-devel = %{epoch}:%{version}-%{release}
Obsoletes:	%{mklibname -d js 1}
Requires:	nspr-devel
Epoch:		%{epoch}

%description -n	%{develname}
These are the header files for development with SpiderMonkey.

%prep
%setup -q -n %{name}-%{real_version}/js/src
%patch0 -p3 -b .destdir~
%patch1 -p3
%patch2 -p3
%patch3 -p3
%patch4 -p3
%patch5 -p3
%patch6 -p3 -b .gcc7
%patch7 -p3 -b .aarch64

autoconf-2.13

%build
# MOZILLA_VERSION is needed to get Version field in pkgconfig files
export MOZILLA_VERSION=%{real_version}
%configure \
%ifarch %arm
	--build=arm-%{_real_vendor}-%{_target_os}%{?_gnu} \
	--host=arm-%{_real_vendor}-%{_target_os}%{?_gnu} \
	--disable-methodjit \
%endif
%ifarch %arm aarch64
	--enable-system-ffi \
%endif
	--enable-readline \
	--enable-threadsafe \
	--enable-ctypes \
	--with-system-nspr
%make_build

%install
%make_install

%files
%{_bindir}/*

%files -n %{libname}
%doc README.html
%{_libdir}/lib%{oname}%{short_version}.so.%{major}{,.*}

%files -n %{develname}
%dir %{_includedir}/js
%{_includedir}/js/*
%{_libdir}/lib%{oname}%{short_version}-%{major}.a
%{_libdir}/lib%{oname}%{short_version}.so
%{_libdir}/pkgconfig/%{oname}%{short_version}.pc


%changelog
* Fri Mar 25 2022 umeabot <umeabot> 1:1.85-17.mga9
+ Revision: 1825530
- Mageia 9 Mass Rebuild

* Sun Aug 08 2021 luigiwalser <luigiwalser> 1:1.85-16.mga9
+ Revision: 1740554
- rebuild for libffi

* Sun Jun 28 2020 joequant <joequant> 1:1.85-15.mga8
+ Revision: 1599967
- remove arm workaround
+ danf <danf>
- Switch URLs from http: to https:

* Tue Feb 11 2020 umeabot <umeabot> 1:1.85-14.mga8
+ Revision: 1489125
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std
- drop multiarch support

* Sun Sep 09 2018 wally <wally> 1:1.85-13.mga7
+ Revision: 1257998
- add patch originally from Fedora for aarch64 support

* Tue Oct 03 2017 cjw <cjw> 1:1.85-12.mga7
+ Revision: 1167748
- patch6: fix build with gcc 7

* Thu Feb 04 2016 umeabot <umeabot> 1:1.85-11.mga6
+ Revision: 935466
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1:1.85-10.mga5
+ Revision: 746561
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1:1.85-9.mga5
+ Revision: 726584
- rebuild for missing pythoneggs deps

* Sun Sep 21 2014 tv <tv> 1:1.85-8.mga5
+ Revision: 708127
- fix defining epoch (would have prevented the upload in the old days)

* Tue Sep 16 2014 umeabot <umeabot> 1:1.85-7.mga5
+ Revision: 680864
- Mageia 5 Mass Rebuild
+ tv <tv>
- use %%global for req/prov exclude
- autoconvert to new prov/req excludes

* Fri Oct 18 2013 umeabot <umeabot> 1:1.85-6.mga4
+ Revision: 506441
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1:1.85-5.mga3
+ Revision: 355592
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 08 2012 rtp <rtp> 1:1.85-4.mga3
+ Revision: 303385
- Merges patches from Debian to fix (arm) build

* Tue Apr 17 2012 blino <blino> 1:1.85-3.mga2
+ Revision: 231142
- use 1.8.5 as Version in pkgconfig file since this is what libproxy expects

* Wed Dec 21 2011 blino <blino> 1:1.85-2.mga2
+ Revision: 185167
- fix Version in pkgconfig file (and thus get pkgconfig auto-provides in devel package)

* Tue Dec 20 2011 wally <wally> 1:1.85-1.mga2
+ Revision: 184985
- BR readline-devel
- BR zip
- fix lib major
+ tv <tv>
- new release
- use %%configure2_5x, %%make && %%makeinstall_std
- BR python
- fix summary
- sync patches with mdv
- use major in file list
- library name has changed

* Fri Jan 21 2011 dmorgan <dmorgan> 1:1.70-7.mga1
+ Revision: 29789
- Remove mdv macros
- imported package js


* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 1:1.70-7mdv2011.0
+ Revision: 606113
- rebuild

* Sun Mar 14 2010 Oden Eriksson <oeriksson@mandriva.com> 1:1.70-6mdv2010.1
+ Revision: 519013
- rebuild

* Wed Sep 02 2009 Christophe Fergeau <cfergeau@mandriva.com> 1:1.70-5mdv2010.0
+ Revision: 425472
- rebuild

* Sun Dec 21 2008 Oden Eriksson <oeriksson@mandriva.com> 1:1.70-4mdv2009.1
+ Revision: 316955
- fix build with -Werror=format-security (P7)
- use %%{ldflags} and fix linkage
- link against libedit and not editline

* Tue Jun 24 2008 Oden Eriksson <oeriksson@mandriva.com> 1:1.70-3mdv2009.0
+ Revision: 228617
- fix the exceptions to work on 64bit too

* Tue Jun 24 2008 Oden Eriksson <oeriksson@mandriva.com> 1:1.70-2mdv2009.0
+ Revision: 228590
- rule out some borked auto deps

* Tue Jun 24 2008 Oden Eriksson <oeriksson@mandriva.com> 1:1.70-1mdv2009.0
+ Revision: 228540
- 1.70
- sync with fedora

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 1:1.5-6mdv2009.0
+ Revision: 221762
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Mon Feb 04 2008 Götz Waschk <waschk@mandriva.org> 1:1.5-5mdv2008.1
+ Revision: 161913
- fix devel provides and obsoletes

* Sun Jan 13 2008 Thierry Vignaud <tv@mandriva.org> 1:1.5-4mdv2008.1
+ Revision: 150422
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed Aug 29 2007 Oden Eriksson <oeriksson@mandriva.com> 1:1.5-3mdv2008.0
+ Revision: 73850
- bump release
- 1.5
- rediffed patches
- build it against system editline libs
- have to use -fno-stack-protector, otherwise it won't build


* Wed Oct 11 2006 Oden Eriksson <oeriksson@mandriva.com>
+ 2006-10-10 18:04:13 (63395)
- bunzip patches

* Wed Oct 11 2006 Oden Eriksson <oeriksson@mandriva.com>
+ 2006-10-10 17:59:17 (63394)
- Import js

* Fri Sep 01 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 1.5-0.rc5a.10mdv2007.0
- add pkgconfig file

* Fri Feb 10 2006 Oden Eriksson <oeriksson@mandriva.com> 1.5-0.rc5a.9mdk
- rebuild

* Mon Jan 31 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1.5-0.rc5a.8mdk
- fix deps and conditional %%multiarch

* Wed Dec 29 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.5-0.rc5a.7mdk
- revert latest "lib64 fixes"

* Wed Dec 29 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.5-0.rc5a.6mdk
- lib64 fixes

* Mon Nov 22 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.5-0.rc5a.5mdk
- relocate the headers as many dev moz packages seems to conflict
- nuke redundant provides

* Thu Sep 30 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.5-0.rc5a.4mdk
- fix fork off mozilla/js, our system knows about ISO C va_copy() macro

* Sun Jun 20 2004 Christiaan Welvaart <cjw@daneel.dyndns.org> 1.5-0.rc5a.3mdk
- fix ppc build

* Tue Jun 08 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.5-0.rc5a.2mdk
- third try... (duh!)

* Tue Jun 08 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.5-0.rc5a.1mdk
- second try...

* Tue Jun 08 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.5-0.rc5a.1mdk
- 1.5-0.rc5a

* Mon Jun 07 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.5-0.rc5.6mdk
- rebuilt with gcc v3.4.x

